Subject: Re: bug#42366: UTF8 QR codes vs. emacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Aug 2020 18:03:22 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 05 Aug 2020 16:54:32 +0200
> 
> > Can you redirect the output to a file?
> 
> Sure, it's just a bunch of UTF-8.  I guess I could also just include the
> data here:

Thanks.  FWIW, with the default font my Emacs uses, I see no lines.

> > So you are saying that your problem with \uNNNN was because you used
> > an incorrect locale?  IOW, that there's no bug here at all?
> 
> Yes.  Except for the horizontal lines in the X version of Emacs.

Can you try other fonts, and see if some of them eliminate the
problem?  I think this is simply a matter of the shell window and the
terminal emulator using different fonts.